"""v0.1.0_feature/#6

Revision ID: fe0437ec5e6d
Revises: 9ff331ab950b
Create Date: 2021-03-26 19:19:25.752952

"""
from alembic import op
import sqlalchemy as sa


from app.database import get_db_schema

# revision identifiers, used by Alembic.
revision = 'fe0437ec5e6d'
down_revision = '9ff331ab950b'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('bond_ledger',
    sa.Column('created', sa.DateTime(), nullable=True),
    sa.Column('modified', sa.DateTime(), nullable=True),
    sa.Column('id', sa.Integer(), autoincrement=True, nullable=False),
    sa.Column('token_address', sa.String(length=42), nullable=True),
    sa.Column('ledger', sa.JSON(), nullable=True),
    sa.Column('country_code', sa.String(length=3), nullable=True),
    sa.Column('bond_ledger_created', sa.DateTime(), nullable=False),
    sa.PrimaryKeyConstraint('id')
    , schema=get_db_schema())
    op.create_table('corporate_bond_ledger_template_jpn',
    sa.Column('created', sa.DateTime(), nullable=True),
    sa.Column('modified', sa.DateTime(), nullable=True),
    sa.Column('id', sa.Integer(), autoincrement=True, nullable=False),
    sa.Column('token_address', sa.String(length=42), nullable=True),
    sa.Column('issuer_address', sa.String(length=42), nullable=True),
    sa.Column('bond_name', sa.String(length=200), nullable=False),
    sa.Column('bond_description', sa.String(length=1000), nullable=False),
    sa.Column('bond_type', sa.String(length=1000), nullable=False),
    sa.Column('total_amount', sa.BigInteger(), nullable=False),
    sa.Column('face_value', sa.Integer(), nullable=False),
    sa.Column('payment_amount', sa.BigInteger(), nullable=True),
    sa.Column('payment_date', sa.String(length=8), nullable=True),
    sa.Column('payment_status', sa.Boolean(), nullable=False),
    sa.Column('hq_name', sa.String(length=200), nullable=False),
    sa.Column('hq_address', sa.String(length=200), nullable=False),
    sa.Column('hq_office_address', sa.String(length=200), nullable=False),
    sa.PrimaryKeyConstraint('id')
    , schema=get_db_schema())
    op.create_index(op.f('ix_corporate_bond_ledger_template_jpn_issuer_address'), 'corporate_bond_ledger_template_jpn', ['issuer_address'], unique=False, schema=get_db_schema())
    op.create_index(op.f('ix_corporate_bond_ledger_template_jpn_token_address'), 'corporate_bond_ledger_template_jpn', ['token_address'], unique=False, schema=get_db_schema())
    op.create_table('utxo',
    sa.Column('created', sa.DateTime(), nullable=True),
    sa.Column('modified', sa.DateTime(), nullable=True),
    sa.Column('transaction_hash', sa.String(length=66), nullable=False),
    sa.Column('account_address', sa.String(length=42), nullable=True),
    sa.Column('token_address', sa.String(length=42), nullable=True),
    sa.Column('amount', sa.Integer(), nullable=True),
    sa.Column('block_number', sa.BigInteger(), nullable=True),
    sa.Column('block_timestamp', sa.DateTime(), nullable=True),
    sa.PrimaryKeyConstraint('transaction_hash')
    , schema=get_db_schema())
    op.create_index(op.f('ix_utxo_account_address'), 'utxo', ['account_address'], unique=False, schema=get_db_schema())
    op.create_index(op.f('ix_utxo_token_address'), 'utxo', ['token_address'], unique=False, schema=get_db_schema())
    op.create_table('utxo_block_number',
    sa.Column('created', sa.DateTime(), nullable=True),
    sa.Column('modified', sa.DateTime(), nullable=True),
    sa.Column('id', sa.BigInteger(), autoincrement=True, nullable=False),
    sa.Column('latest_block_number', sa.BigInteger(), nullable=True),
    sa.PrimaryKeyConstraint('id')
    , schema=get_db_schema())
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_table('utxo_block_number', schema=get_db_schema())
    op.drop_index(op.f('ix_utxo_token_address'), table_name='utxo', schema=get_db_schema())
    op.drop_index(op.f('ix_utxo_account_address'), table_name='utxo', schema=get_db_schema())
    op.drop_table('utxo', schema=get_db_schema())
    op.drop_index(op.f('ix_corporate_bond_ledger_template_jpn_token_address'), table_name='corporate_bond_ledger_template_jpn', schema=get_db_schema())
    op.drop_index(op.f('ix_corporate_bond_ledger_template_jpn_issuer_address'), table_name='corporate_bond_ledger_template_jpn', schema=get_db_schema())
    op.drop_table('corporate_bond_ledger_template_jpn', schema=get_db_schema())
    op.drop_table('bond_ledger', schema=get_db_schema())
    # ### end Alembic commands ###
